Subject: Re: bug#65191: 29.1; -ms and -cr CL options don't work

From: Po Lu <[email-masked]>
Date: Sat, 12 Aug 2023 08:05:13 +0800

Eli Zaretskii <[email-masked]> writes:

> Why do we need to "save these settings back to Cairo"?

Since Cairo is responsible for applying these settings to opened fonts.
IOW, we're sending config-changed events in response to changes that are
never applied.

> Also, in your original message you mentioned face-spec-recalc and
> face-set-after-frame-default; how do those fit into this picture?

When face-set-after-frame-default is called from the dynamic setting
machinery, cursor colors set through frame parameters are overwritten in
favor of the default font spec definition.